curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
);
const data = await response.json();
{
"percentage_fee": 0.1,
"fee": 0
}
Agents
Get Fee
Get fee information for a wallet
GET
/
api
/
v1
/
{chain_id}
/
wallets
/
{wallet}
/
fee
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
);
const data = await response.json();
{
"percentage_fee": 0.1,
"fee": 0
}
SDK Alternative: Use
agent.fees() for a simpler TypeScript interface. See SDK docsDescription
Retrieves the fee information for a wallet, including the percentage fee applied to yields.Path Parameters
integer
required
The blockchain chain ID
string
required
The wallet address
Query Parameters
integer
Optional amount to calculate fee for
Response
number
Fee percentage (e.g., 0.1 = 10%)
number
Calculated fee amount (if amount was provided)
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
);
const data = await response.json();
{
"percentage_fee": 0.1,
"fee": 0
}